Search, check availability, and purchase traditional DNS domains. This API enables AI assistants to help users find and buy domain names.
MCP//
- Get or create domain conversation
List domain conversation leads
List messages in a conversation
Send a message in a conversation
Get or create domain conv...
MCP API (1.0.0)
Overview
URL
Unstoppable Domains
Languages
Servers
Production server
https://api.unstoppabledomains.com
Request
List conversations about domains you own or are interested in. Includes buyer-seller messaging threads.
Security
bearerAuth
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_leads_list
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_leads_list \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domain": "string",
"skipEmpty": true,
"skip": 0,
"take": 20
}'Response
application/json
{ "leads": [ { … } ], "total": 0, "skip": 0, "take": 0 }
Request
Start or find an existing conversation with the seller of a domain. Returns existing conversation if one already exists.
Security
bearerAuth
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_lead_get
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_lead_get \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domain": "string",
"buyerId": "string"
}'Response
application/json
{ "conversation": { "id": 0, "domainName": "string", "domainId": 0, "createdAt": "string", "participants": [ … ], "isExisting": true }, "message": "string" }
Request
Get messages in a domain conversation. Messages are returned newest-first with cursor-based pagination.
Security
bearerAuth
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_lead_messages_list
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_lead_messages_list \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"conversationId": 0,
"cursor": "string"
}'Response
application/json
{ "messages": [ { … } ], "hasMore": true, "nextCursor": "string", "conversationId": 0 }
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_lead_message_send
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_lead_message_send \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"conversationId": 0,
"content": "string"
}'Response
application/json
{ "message": { "id": 0, "content": "string", "senderUserId": 0, "createdAt": "string" }, "conversationId": 0 }